#
# spec file for package glademm (Version 0.5.11e)
# 
# Copyright  (c)  2001  SuSE GmbH  Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
# 
# please send bugfixes or comments to feedback@suse.de.
#

# neededforbuild  glib glib-devel gnome-libs gnome-libs-devel gnomemm gnomemm-devel gpp gtk gtk-devel gtkmm gtkmm-devel imlib imlib-devel libghttp libgpp libjpeg libpng libtiff libungif libxml libxml-devel
# usedforbuild    aaa_base aaa_dir autoconf automake base bash bindutil binutils bison bzip compress cpio cpp cracklib cyrus-sasl db devs diffutils e2fsprogs file fileutils findutils flex gawk gcc gdbm gdbm-devel gettext glib glib-devel glibc glibc-devel gnome-libs gnome-libs-devel gnomemm gnomemm-devel gpm gpp gppshare grep groff gtk gtk-devel gtkmm gtkmm-devel gzip imlib imlib-devel kbd less libghttp libgpp libjpeg libpng libtiff libtool libungif libxml libxml-devel libz m4 make man mktemp modutils ncurses ncurses-devel net-tools netcfg pam pam-devel patch perl ps rcs readline rpm sendmail sh-utils shadow strace syslogd sysvinit texinfo textutils timezone unzip util-linux vim

Name:         glademm
Copyright:    GPL
Group:        Development/Tools 
Provides:     glademm 
Requires:     gtkmm gtkmm-devel glade
Autoreqprov:  on
Version:      0.5.11e
Release:      169
URL:          http://home.wtal.de/petig/Gtk/
Summary:      Extension to Glade to use Gtk--
Source:       http://home.wtal.de/petig/Gtk/glademm-%{version}.tar.bz2
Patch:        glademm-%{version}-axp.patch
BuildRoot:    /var/tmp/%{name}-build

%description
Glademm is an extension to glade (Gtk GUI Builder) to create C++ sources.
For more information, see /usr/share/doc/packages/glademm and:
Glademm's homepage  http://home.wtal.de/petig/Gtk/

Authors:
--------
    Christof Petig <christof.petig@wtal.de>
    Joe Pfeiffer <pfeiffer@cs.nmsu.edu>

SuSE series: gra

%prep
%setup
%patch
%{?suse_update_config:%{suse_update_config -f}}

%build
CXXFLAGS="$RPM_OPT_FLAGS" \
./configure --prefix=/usr
make

%install
make DESTDIR=$RPM_BUILD_ROOT install

%clean
rm -rf $RPM_BUILD_ROOT

%files
%doc docs tests AUTHORS BUGS COPYING ChangeLog NEWS README TODO
/usr/bin/glade--

%changelog -n glademm
* Mon Apr 23 2001 - nadvornik@suse.cz
- axp fixes
* Wed Mar 14 2001 - egger@suse.de
- Updated to verion 0.5.11e.
* Sun Feb 25 2001 - egger@suse.de
- Remove unnecessary dependencies from #neededforbuild,
  especially imlib-config.
* Mon Feb 19 2001 - ro@suse.de
- changed neededforbuild <libghtt> to <libghttp>
* Tue Jan 30 2001 - ro@suse.de
- changed neededforbuild <imlibcfe> to <imlib-config>
* Tue Jan 23 2001 - nadvornik@suse.cz
- added suse_update_config
* Sat Nov 04 2000 - kukuk@suse.de
- Fix typo in spec file
* Wed Nov 01 2000 - egger@suse.de
- Updated specfile to new long packagenames.
- Reworked specfile.
- Probably needs some more work; I'm taking care of that.
* Mon Oct 09 2000 - nadvornik@suse.cz
- fixed Copyright
- used bzip2
* Tue Aug 22 2000 - nadvornik@suse.cz
- update to 0.5.9
* Mon Jan 31 2000 - uli@suse.de
- to much crappy code to fix, added -fpermissive to CPPFLAGS
* Mon Sep 13 1999 - bs@suse.de
- ran old prepare_spec on spec file to switch to new prepare_spec.
* Sat Jul 17 1999 - mt@suse.de
- updated to 0.2.7
* Tue Jul 13 1999 - bs@suse.de
- use gtk and glib instead of gtkn and glibn
* Fri May 21 1999 - uli@suse.de
- fixed weird constructor
* Mon Apr 05 1999 - bs@suse.de
- fixed date strings in .changes.
* Wed Mar 24 1999 - mt@suse.de
- new version 0.2.5
